Bug 841445 - lvconvert should convert to the raid1 segtype by default if mirror_segtype_default set to raid1
lvconvert should convert to the raid1 segtype by default if mirror_segtype_de...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: lvm2 (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity medium
: rc
: ---
Assigned To: Jonathan Earl Brassow
Cluster QE
:
Depends On:
Blocks: 976104
  Show dependency treegraph
 
Reported: 2012-07-18 23:03 EDT by Xiaowei Li
Modified: 2015-01-26 19:10 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 976104 (view as bug list)
Environment:
Last Closed: 2014-06-13 09:10:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Upstream commit that resolves this issue (3.50 KB, patch)
2013-06-19 18:59 EDT, Jonathan Earl Brassow
no flags Details | Diff

  None (edit)
Description Xiaowei Li 2012-07-18 23:03:03 EDT
Description of problem:


Version-Release number of selected component (if applicable):
lvm2-2.02.95-6.el7.x86_64


How reproducible:


Steps to Reproduce:
1. set mirror_segtype_default to raid1
grep mirror_segtype_default /etc/lvm/lvm.conf 
    # 'mirror_segtype_default' defines which segtype will be used when the
    mirror_segtype_default = "raid1"
2. lvconvert /dev/vg/lv01 -m1
3. lvs 
  
Actual results:
# lvs -a
  LV                   VG   Attr     LSize  Pool Origin Data%  Move Log            Copy%  Convert
  lv01                 vg   mwi-a-m- 40.00m                         lv01_mlog      100.00    


Expected results:
should convert the lv01 to raid1 segtype.


Additional info:
Comment 2 Jonathan Earl Brassow 2013-06-19 18:59:36 EDT
Created attachment 763162 [details]
Upstream commit that resolves this issue

commit a6d13308ec0baca9a5bd48f80d02e5c71a54287f
Author: Jonathan Brassow <jbrassow@redhat.com>
Date:   Wed Jun 19 17:50:10 2013 -0500

    RAID/MIRROR: Honor mirror_segtype_default when upconverting linear LVs
    
    If the user would upconvert a linear LV to a mirror without specifying
    the segment type ("--type mirror" vs "--type raid1"), the "mirror"
    segment type would be chosen without consulting the 'default_mirror_segtype'
    setting in lvm.conf.  This is now used as the basis for determining
    which should be used if left unspecified.
Comment 5 Corey Marthaler 2014-01-27 12:46:55 EST
Fix verified in the latest rpms.

lvm2-2.02.105-1.el7    BUILT: Wed Jan 22 07:34:15 CST 2014
lvm2-libs-2.02.105-1.el7    BUILT: Wed Jan 22 07:34:15 CST 2014
lvm2-cluster-2.02.105-1.el7    BUILT: Wed Jan 22 07:34:15 CST 2014
device-mapper-1.02.84-1.el7    BUILT: Wed Jan 22 07:34:15 CST 2014
device-mapper-libs-1.02.84-1.el7    BUILT: Wed Jan 22 07:34:15 CST 2014
device-mapper-event-1.02.84-1.el7    BUILT: Wed Jan 22 07:34:15 CST 2014
device-mapper-event-libs-1.02.84-1.el7    BUILT: Wed Jan 22 07:34:15 CST 2014
device-mapper-persistent-data-0.2.8-3.el7    BUILT: Fri Dec 27 13:40:56 CST 2013
cmirror-2.02.105-1.el7    BUILT: Wed Jan 22 07:34:15 CST 2014


## RAID1

   # Specify the '--type <mirror|raid1>' option to override this default
   # setting.
   mirror_segtype_default = "raid1"

[root@host-050 ~]# lvcreate -L 100M -n convert test
  Logical volume "convert" created
[root@host-050 ~]# lvs -a -o +devices
  LV      VG    Attr       LSize    Devices       
  convert test  -wi-a----- 100.00m  /dev/sda1(0)  
[root@host-050 ~]# lvconvert -m 1 test/convert
[root@host-050 ~]# lvs -a -o +devices
  LV                 VG    Attr       LSize   Log Cpy%Sync Devices
  convert            test  rwi-a-r--- 100.00m        12.00 convert_rimage_0(0),convert_rimage_1(0)
  [convert_rimage_0] test  Iwi-aor--- 100.00m              /dev/sda1(0)
  [convert_rimage_1] test  Iwi-aor--- 100.00m              /dev/sdb1(1)
  [convert_rmeta_0]  test  ewi-aor---   4.00m              /dev/sda1(25)
  [convert_rmeta_1]  test  ewi-aor---   4.00m              /dev/sdb1(0)


## MIRROR

   # Specify the '--type <mirror|raid1>' option to override this default
   # setting.
   mirror_segtype_default = "mirror"

[root@host-050 ~]# lvcreate -L 100M -n convert2 test
  Logical volume "convert2" created
[root@host-050 ~]# lvs -a -o +devices
  LV        VG    Attr       LSize    Devices
  convert2  test  -wi-a----- 100.00m  /dev/sda1(26)
[root@host-050 ~]# lvconvert -m 1 test/convert2
  test/convert2: Converted: 4.0%
  test/convert2: Converted: 100.0%
[root@host-050 ~]# lvs -a -o +devices
  LV                  VG    Attr       LSize   Log           Cpy%Sync Devices
  convert2            test  mwi-a-m--- 100.00m convert2_mlog   100.00 convert2_mimage_0(0),convert2_mimage_1(0)
  [convert2_mimage_0] test  iwi-aom--- 100.00m                        /dev/sda1(26)
  [convert2_mimage_1] test  iwi-aom--- 100.00m                        /dev/sdb1(26)
  [convert2_mlog]     test  lwi-aom---   4.00m                        /dev/sdh1(0)
Comment 6 Ludek Smid 2014-06-13 09:10:06 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.